#include <bits/stdc++.h>

using namespace std;

int racunanje(string s)
{
    int lokacija, j = 0, br = 0;
    vector<int> lok;
    char slovo = s[j];
    for (int i = 0; i < s.length(); i++)
    {
        for (int j = 0; j < s.length(); j++)
        {
            if (s[i] == s[j])
            {
                lokacija = j;
                lok.push_back(lokacija);
            }
        }
    }
    for (int i = 0; i < lok.size(); i++)
    {
        if (abs(lok[i] - lok[i + 1]) % 2 == 0)
            br++;
    }
    return br;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cerr.tie(0);
    cout.tie(0);
    string s;
    cin >> s;
    int br = 0;
    for (int i = 0; i < s.length(); i++)
        if (s[i] == s[i + 1] || s[i] == s[i + 3] || s[i] == s[i + 5])
            br++;
    cout << br << endl;
    return 0;
}